Bug 469950 - Method "Update System" with signature "" on interface "org.freedesktop.PackageKit.Transaction" doesn't exist.
Method "Update System" with signature "" on interface "org.freedesktop.Packag...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 466290 466386 467976 470028 (view as bug list)
Depends On:
Blocks: F10DesktopBlocker
  Show dependency treegraph
 
Reported: 2008-11-04 16:08 EST by Máirín Duffy
Modified: 2008-12-08 08:08 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 09:03:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
PackageKit Error Screenshot (20.77 KB, image/png)
2008-11-04 16:08 EST, Máirín Duffy
no flags Details

  None (edit)
Description Máirín Duffy 2008-11-04 16:08:13 EST
Created attachment 322486 [details]
PackageKit Error Screenshot

Description of problem:

I've got rawhide. I tried to use packagekit to update to the preview release today by clicking on the orange 'burst' icon in the panel alerts area. I selected "Update system now." Immediately, I got a dialog that said 

Method "Update System" with signature "" on interface "org.freedesktop.PackageKit.Transaction" doesn't exist.

I'm attaching a screenshot of the dialog.

Version-Release number of selected component (if applicable):
PackageKit-0.3.9-1.fc10.x86_64

How reproducible:

Not very. It seemed to work fine the second time I tried it.

Additional info:

I'm using the rawhide official Fedora repo as well as the new RPM Fusion repo. That's it.
Comment 1 Richard Hughes 2008-11-05 04:10:30 EST
I think you hit the server authentication fail... this is a bug I've only just fixed:

commit d03c82fa11f4255ea86ac048c4b018784f1d9467
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Nov 5 07:47:30 2008 +0000

    bugfix: fix protocol violation in the server and client
    
    PackageKit does not adhere to it's own specification where a new TID is required
    when an error is emitted on the original TID. For a couple of releases now
    we cleanup unused TID's after 5 seconds, to avoid denial of service attacks.
    As we re-use the original TID after showing the signature dialog, we wait on
    the client, and then resumbit after PolicyKit returns from the authentication
    request.
    If the user takes longer than 5 seconds to authenticate, then the TID is timed
    out, and the helpful error is presented to the user:
    
    Method 'Update System' with signature '' on interface
    'org.freedesktop.PackageKit.Transaction' doesn't exist.
    
    Of course, the correct fix is to release the TID on error to prevent it being
    reused, and also to re-request a TID after authentication has been obtained.

:100644 100644 5600581... 01fc447... M  lib/packagekit-glib/pk-client.c
:100644 100644 f304c22... f7765c7... M  src/pk-transaction.c

Could you try the packages here please: http://www.packagekit.org/packages/
Comment 2 Richard Hughes 2008-11-06 05:44:41 EST
*** Bug 470028 has been marked as a duplicate of this bug. ***
Comment 3 Richard Hughes 2008-11-06 05:58:53 EST
*** Bug 466290 has been marked as a duplicate of this bug. ***
Comment 4 Richard Hughes 2008-11-06 06:00:53 EST
*** Bug 467976 has been marked as a duplicate of this bug. ***
Comment 5 Richard Hughes 2008-11-06 06:01:28 EST
*** Bug 466386 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Update System 2008-11-18 04:42:57 EST
PackageKit-0.3.10-1.fc10,gnome-packagekit-0.3.10-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/PackageKit-0.3.10-1.fc10,gnome-packagekit-0.3.10-1.fc10
Comment 7 Fedora Update System 2008-11-28 06:59:19 EST
PackageKit-0.3.11-2.fc10,gnome-packagekit-0.3.11-2.fc10,kpackagekit-0.3.1-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/PackageKit-0.3.11-2.fc10,gnome-packagekit-0.3.11-2.fc10,kpackagekit-0.3.1-7.fc10
Comment 8 Fedora Update System 2008-12-07 13:03:08 EST
PackageKit-0.3.11-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/PackageKit-0.3.11-4.fc10
Comment 9 Fedora Update System 2008-12-08 08:07:53 EST
PackageKit-0.3.11-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-12-08 08:08:13 EST
kpackagekit-0.3.1-7.fc10, PackageKit-0.3.11-3.fc10, gnome-packagekit-0.3.11-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.